curl --request POST \
--url https://api.mn.co/admin/v1/networks/{network_id}/custom_fields/{custom_field_id}/options \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "Blue",
"description": "Select this if blue is your favorite color"
}
'import requests
url = "https://api.mn.co/admin/v1/networks/{network_id}/custom_fields/{custom_field_id}/options"
payload = {
"title": "Blue",
"description": "Select this if blue is your favorite color"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({title: 'Blue', description: 'Select this if blue is your favorite color'})
};
fetch('https://api.mn.co/admin/v1/networks/{network_id}/custom_fields/{custom_field_id}/options', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.mn.co/admin/v1/networks/{network_id}/custom_fields/{custom_field_id}/options",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'title' => 'Blue',
'description' => 'Select this if blue is your favorite color'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.mn.co/admin/v1/networks/{network_id}/custom_fields/{custom_field_id}/options"
payload := strings.NewReader("{\n \"title\": \"Blue\",\n \"description\": \"Select this if blue is your favorite color\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.mn.co/admin/v1/networks/{network_id}/custom_fields/{custom_field_id}/options")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"title\": \"Blue\",\n \"description\": \"Select this if blue is your favorite color\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.mn.co/admin/v1/networks/{network_id}/custom_fields/{custom_field_id}/options")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"title\": \"Blue\",\n \"description\": \"Select this if blue is your favorite color\"\n}"
response = http.request(request)
puts response.read_body{
"id": "1234",
"created_at": "2026-10-23T02:19:14Z",
"updated_at": "2026-10-23T02:19:14Z",
"title": "Blue",
"custom_field_id": 123,
"member_count": 123,
"is_ad_hoc": true,
"creator_id": 123,
"description": "Select this if blue is your favorite color"
}{
"error": "<string>"
}Create a new option for a profile field
curl --request POST \
--url https://api.mn.co/admin/v1/networks/{network_id}/custom_fields/{custom_field_id}/options \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "Blue",
"description": "Select this if blue is your favorite color"
}
'import requests
url = "https://api.mn.co/admin/v1/networks/{network_id}/custom_fields/{custom_field_id}/options"
payload = {
"title": "Blue",
"description": "Select this if blue is your favorite color"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({title: 'Blue', description: 'Select this if blue is your favorite color'})
};
fetch('https://api.mn.co/admin/v1/networks/{network_id}/custom_fields/{custom_field_id}/options', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.mn.co/admin/v1/networks/{network_id}/custom_fields/{custom_field_id}/options",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'title' => 'Blue',
'description' => 'Select this if blue is your favorite color'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.mn.co/admin/v1/networks/{network_id}/custom_fields/{custom_field_id}/options"
payload := strings.NewReader("{\n \"title\": \"Blue\",\n \"description\": \"Select this if blue is your favorite color\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.mn.co/admin/v1/networks/{network_id}/custom_fields/{custom_field_id}/options")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"title\": \"Blue\",\n \"description\": \"Select this if blue is your favorite color\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.mn.co/admin/v1/networks/{network_id}/custom_fields/{custom_field_id}/options")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"title\": \"Blue\",\n \"description\": \"Select this if blue is your favorite color\"\n}"
response = http.request(request)
puts response.read_body{
"id": "1234",
"created_at": "2026-10-23T02:19:14Z",
"updated_at": "2026-10-23T02:19:14Z",
"title": "Blue",
"custom_field_id": 123,
"member_count": 123,
"is_ad_hoc": true,
"creator_id": 123,
"description": "Select this if blue is your favorite color"
}{
"error": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of the profile field
The Network's unique integer ID, or subdomain Unique numeric network ID
Body
Submit results as JSON
Response
The created profile field option object
Profile field options are the selectable values for dropdown profile fields
The record's integer ID
"1234"
The date and time the record was created
"2026-10-23T02:19:14Z"
The date and time the record was last modified
"2026-10-23T02:19:14Z"
The title of the option
"Blue"
The ID of the profile field this option belongs to
The number of members who have selected this option
Whether this option was created by a member (ad-hoc) or by a host
The ID of the member who created this option
The description of the option
"Select this if blue is your favorite color"